### Enumeration

# Gtk InterfaceColorScheme

since: 4.20

#### Declaration

    enum Gtk.InterfaceColorScheme

#### Description [src]

Values for the `GtkSettings:gtk-interface-color-scheme` and `GtkCssProvider:prefers-color-scheme` properties that indicates what color scheme is used.

This information can be used inside CSS via media queries.

More values may be added to this enumeration. Unknown values should be treated the same as `GTK_INTERFACE_COLOR_SCHEME_DEFAULT`.

Available since: 4.20

#### Members

`GTK_INTERFACE_COLOR_SCHEME_UNSUPPORTED`

  The system doesn’t support color schemes.

  - Value: `0`
  - Available since: 4.20
`GTK_INTERFACE_COLOR_SCHEME_DEFAULT`

  The default color scheme is used.

  - Value: `1`
  - Available since: 4.20
`GTK_INTERFACE_COLOR_SCHEME_DARK`

  A dark color scheme is used.

  - Value: `2`
  - Available since: 4.20
`GTK_INTERFACE_COLOR_SCHEME_LIGHT`

  A light color scheme is used.

  - Value: `3`
  - Available since: 4.20